X

THANK YOU!

Post has been reported succesfully.

Minecraft: Java Edition System Requirements

A stable internet connection is required for Minecraft to download game files, authenticate usernames, and connect to multiplayer servers. 

Minecraft will not run on Windows RT tablets or a Chromebook, a toaster (despite some actually using Java), or your car (feel free to prove us wrong, though). 

 A computer with the minimum requirements should enable gameplay for Minecraft: Java Edition. However, for the best experience, provide the recommended requirements.  

Tip: If you are unsure of whether or not your computer is powerful enough to run Minecraft, it is highly recommended that you try Minecraft in demo mode before purchase. 

In this Article 

     Minimum Requirements 

     Recommended Requirements 

     Software Requirements 

 

Minimum Requirements 

Information on system requirements for running a Minecraft server can be found on the Minecraft wiki. This information has been compiled by the Minecraft community. Please visit the Hardware Performance wiki page for the most up-to-date information, or to compare your computer's hardware and software with other supported computers. 

  • CPU: Intel Core i3-3210 3.2 GHz / AMD A8-7600 APU 3.1 GHz or equivalent 
  • RAM: 4GB 
  • GPU (Integrated): Intel HD Graphics 4000 (Ivy Bridge) or AMD Radeon R5 series (Kaveri line) with OpenGL 4.4* 
  • GPU (Discrete): Nvidia GeForce 400 Series or AMD Radeon HD 7000 series with OpenGL 4.4 
  • HDD: At least 1GB for game core, maps, and other files 
  • OS: 
    • Windows: Windows 7 and up 
    • macOS: Any 64-bit OS X using 10.9 Maverick or newer 
    • Linux: Any modern 64-bit distributions from 2014 onwards 
  • Internet connectivity is required for downloading Minecraft files, afterwards offline play is possible. 

 

Recommended Requirements 

Information on system requirements for running a Minecraft server can be found on the Minecraft wiki. This information has been compiled by the Minecraft community. Please visit the Hardware Performance wiki page for the most up-to-date information, or to compare your computer's hardware and software with other users' computers listed as being able to play the game. 

  • CPU: Intel Core i5-4690 3.5GHz / AMD A10-7800 APU 3.5 GHz or equivalent 
  • RAM: 8GB 
  • GPU: GeForce 700 Series or AMD Radeon Rx 200 Series (excluding integrated chipsets) with OpenGL 4.5 
  • HDD: 4GB (SSD is recommended) 
  • OS (recommended 64-bit): 
    • Windows: Windows 10 
    • macOS: macOS 10.12 Sierra 
    • Linux: Any modern distributions from 2014 onwards 

 

Software Requirements 

  • Minecraft Release 1.6 or newer. Older versions will need to be updated to current versions. 
  • Note that some users experience issues playing Minecraft while using a mismatched version of Java for their operating system (32 or 64 bit), while using certain versions of Java 7, or while multiple versions of Java are installed. 
  • Starting from Minecraft 1.12, Java 8 is required to run Minecraft. If you don't know whether you have Java 8, don't worry, our installers supply Minecraft with its own version of Java by default. 

 

Minecraft Version 1.17 Java Runtime is Incompatible

The Caves and Cliffs update of Minecraft: Java Edition requires Java 16. If you are unable to launch the game, you can check your installation to use the version of Java which is bundled in with Minecraft. Please follow these steps.

  1. Click the Installations tab

  2. Click your install to bring up the Edit installation UI

  3. Click More Options

  4. Press the X button in Java Executable

  5. Click Save

  6. Now you can launch your game without encountering this error

 

Last Updated - 2021-06-15 21:15:54 UTC

Was this article helpful?